Summary: Power-off switch for SME servers
%define name e-smith-powerswitch
Name: %{name}
%define version 0.1.5
%define release 1jvr1.50
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Mitel/addon
Source: %{name}-%{version}.tar.gz
Packager: Michiel Blotwijk <michiel@altiplano.be>
BuildRoot: /var/tmp/%{name}-%{version}
BuildArchitectures: noarch
Requires: e-smith-base
Requires: SMEServer => 5.6
Conflicts: SMEServer > 6.0
AutoReqProv: no

%changelog
* Thu Jan 29 2004 Michiel Blotwijk <michiel.blotwijk@altiplano.be>
0.1.5-1
- The egometer caused problems if altiplano.be wasn't reachable. Fixed.

* Fri Jan 23 2004 Michiel Blotwijk <michiel.blotwijk@altiplano.be>
- A few minor cosmetic changes
- Added the "egometer" to the rpm.  See the %post section for details.

* Thu Jan 7 2004 Michiel Blotwijk <michiel@altiplano.be>
- SME 5.6 is now also supported (thanks to Kees Vonk). The boot script loads the
  correct module based on the SME version. 

* Mon Dec 29 2003 Michiel Blotwijk <michiel@altiplano.be>
- initial Beta release

%description
This is an implementation from Joris van Rantwijk's powerswitch module for 
SME 5.6 and 6.0 servers. The powerswitch driver makes it possible to use the 
ATX power button on your computer to shutdown Linux. You simply press the
power button, and the driver shuts down Linux and powers off the machine, just
like the shutdown command does.

%prep
%setup

%build

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc " >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%pre

%preun

%post
/etc/e-smith/events/local/load_powerswitch
echo ""
echo "Pushing the power button of your server should now result in a clean shutdown."
echo "If this is not the case, please check the FAQ on the following site:"
echo "http://contribs.org/contribs/mblotwijk/HowToGuides/powerswitch.htm"

# The following command was included solely to satisfy my ego :-). It triggers
# a counter on www.altiplano.be, indicating the number of times this package
# has been installed. No other information whatsoever is transferred or collected.
# You can check the statistics at http://www.altiplano.be/cgi-bin/stats.cgi.
ERR=`wget -q -t 1 -T 2 --delete-after http://www.altiplano.be/cgi-bin/egometer?%{name}-%{version}`
echo

%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
